#ifndef uCopierH
#define uCopierH

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <CheckLst.hpp>
#include <ComCtrls.hpp>



class TdlgCopierFichiers : public TForm
{
__published:
  TBitBtn *BitBtn1;
  TProgressBar *pbFichiers;
  TLabel *labelFichiers;
  TAnimate *aAnimation;
  TLabel *labelErreur;
  void __fastcall BitBtn1Click(TObject *Sender);
private:
  unsigned __int64 m_TailleFichiersACopier,m_TailleFichiersCopies;
  int m_NbPersonnesCopiees,m_NbPersonnesACopier;
  bool __fastcall CopierFichier(const AnsiString &Source,const AnsiString &Destination,bool ForcerAToutCopier);
  unsigned __int64 __fastcall TailleFichiers(const AnsiString &Source,TStringList *ListeFichiersSauf,TStringList *ListeRepertoiresSauf);
  unsigned __int64 __fastcall TailleUnFichier(const AnsiString &Source);
public:
  __fastcall TdlgCopierFichiers(TComponent* Owner);
  bool __fastcall CopierFichiers(const AnsiString &Source,const AnsiString &Destination,TStringList *ListeFichiersSauf,TStringList *ListeRepertoiresSauf,bool CalculerTaille,bool ForcerAToutCopier);
  bool __fastcall CopierUnFichier(const AnsiString &Source,const AnsiString &Destination,bool CalculerTaille);
};



#endif

